<?php
include '../sessions/session_restraintes.php';
?>

<!DOCTYPE html>
<html lang="fr">
    <head>
        <?php include 'include/menu.html'; ?>
    </head>

    <body>
        <div class="contaner-field"><a class="button button--large" href="../prof/index.php">client</a></div>
        <?php include 'include/nav.php'; ?>
        <?php include 'include/popup.html'; ?>
        <script type="text/javascript" src="js/edit.js" defer></script>
        <table class="table">
            <thead>
                <tr>
                    <th colspan="14">Ticket récents non traités</th>
                </tr>
            </thead>
            <tbody>
                <tr class="table__title">
                    <td>ID</td>
                    <td>date</td>
                    <td>details</td>
                    <td>lieu</td>
                    <td>salle</td>
                    <td>pos</td>
                    <td>materiel</td>
                    <td>marque</td>
                    <td>model</td>
                    <td>nserie</td>
                    <td>demandeur</td>
                    <td>traitement</td>
                    <td>valider</td>
                </tr>

            <?php
            $bdd = new SQLite3('../database/ticket_panne.db', SQLITE3_OPEN_READWRITE);

            $reponse = $bdd->query("SELECT * FROM pannes ORDER BY ID DESC");
            $non_traite = 0;
            for ($j=0; $j < 3; $j++) {
                $line = $reponse->fetchArray();
                if (isset($line['traitement'])) {
                    if ($line['traitement'] == 0) {
                        $non_traite ++;
                        $class = $line[0];
                        include 'include/line.php';
                    }
                    else {
                        $j--;
                    }
                }
                else {
                    break;
                }
            }
            if ($non_traite == 0) {
                echo "<h2>Aucun ticket non traité</h2>";
            }
            ?>
            </tbody>
        </table>
    </body>
</html>
