<?php
include '../sessions/session_restraintes.php';
?>

<!DOCTYPE html>
<html>
    <head>
        <?php include 'include/menu.html';?>
        <script type="text/javascript" src="js/edit.js" defer></script>
    </head>
    <body id="corps">
        <?php include 'include/nav.php';?>
        <?php include 'include/popup.html'; ?>

        </div>
        <table class="table">
            <thead>
                <tr>
                    <th colspan="15">Ticket</th>
                </tr>
            </thead>
            <tbody>
                <tr class='table__title'>
                    <td>ID</td>
                    <td>date</td>
                    <td>details</td>
                    <td>lieu</td>
                    <td>salle</td>
                    <td>pos</td>
                    <td>materiel</td>
                    <td>marque</td>
                    <td>model</td>
                    <td>nserie</td>
                    <td>demandeur</td>
                    <td>traitement</td>
                    <td>valider</td>
                </tr>
                <?php
                $bdd = new SQLite3('../database/ticket_panne.db', SQLITE3_OPEN_READWRITE);

                $reponse = $bdd->query("SELECT * FROM pannes ORDER BY ID");
                $non_traite = 0;
                while ($line = $reponse->fetchArray()) {
                    if (isset($line['traitement'])) {
                        $non_traite ++;
                        $class = $line[0];
                        include 'include/line.php';
                    }
                    else {
                        break;
                    }
                }
                if ($non_traite == 0) {
                    echo "<h2>Aucun ticket dans la base</h2>";
                }
                ?>
            </tbody>
        </table>
    </body>
</html>
