<?php
include '../sessions/session_restraintes.php';
?>

<!DOCTYPE html>
<html lang="fr">
    <head>
        <?php include 'include/menu.html'; ?>
        <script type="text/javascript" src="js/search.js" defer></script>
        <script type="text/javascript" src="js/edit.js" defer></script>
    </head>

    <body id='corps'>
        <?php include 'include/nav.php'; ?>
        <?php include 'include/popup.html'; ?>
        <form id="form" action="js/search.php" method="POST">
            <div class="container-field">
                <p>Recherche :</p>
                    <select class="container-field__field" name='champ'>
                        <option value="ID">ID</option>
                        <option value="dates">Date</option>
                        <option value="lieu">Lieu</option>
                        <option value="salle">Salle</option>
                        <option value="materiel">Matériel</option>
                        <option value="marque">Marque</option>
                        <option value="model">Modèle</option>
                        <option value="nserie">N°Série</option>
                        <option value="demandeur">Demandeur</option>
                    </select>
                    <img class="container-field__img container-field__img--check" src="../img/check.png" alt="check">
                    <img class="container-field__img container-field__img--excla" src="../img/excla.png" alt="exclamation">
            </div>
            <div class="container-field">
                <p>mot clé :</p>
                <input class="container-field__field" type="input" name="value">
            </div>
            <div class="container-field">
                <input class="container-field__field container-field__field--submit" type="submit">
            </div>


        </form>
        <table class="table" style="display: none;">
            <thead>
                <tr>
                    <th colspan="15">Ticket</th>
                </tr>
            </thead>
            <tbody>
                <tr class='table__title'>
                    <td>ID</td>
                    <td>date</td>
                    <td>details</td>
                    <td>lieu</td>
                    <td>salle</td>
                    <td>pos</td>
                    <td>materiel</td>
                    <td>marque</td>
                    <td>model</td>
                    <td>nserie</td>
                    <td>demandeur</td>
                    <td>traitement</td>
                    <td>valider</td>
                </tr>
            </tbody>
        </table>
    </body>
</html>
