<?php
include '../sessions/session.php';
?>

<!DOCTYPE html>
<html lang="fr">
    <head>
        <meta charset="utf-8">
        <title>Tickets de panne</title>
        <link href="../css/style.css" rel="stylesheet">
        <script type="text/javascript" src="js/script.js" defer></script>
        <a href="index.php"><img class="logo" src="../img/logo_PC.png" alt="logo_PC"></a>

    </head>
    <body id="page">
        <?php
        if ($_SESSION['login'] == 'referant') {
            echo '<div class="container-field"><a class="button button--large" href="../referant/index.php">site référant</a></div>';
        }
        ?>
        <h1 id="titre">
            Formulaire de panne informatique
        </h1>
        <form id='form' method="POST" action="cible/index.php">
            <div class="container-field">
                <?php
                    $titre = 'Date';
                    $sql_name = 'dates';
                    $type = 'date';
                    $error = 'Veuillez saisir une date';
                    $help = false;
                    include("include/champ.php");
                ?>
            </div>
            <div class="container-field">
                <p>Détails :</p>
                <textarea class="container-field__field" rows="10" cols="30" name='details'></textarea><br>
                <img class="container-field__img container-field__img--check" src="../img/check.png" alt="check">
                <img class="container-field__img container-field__img--excla" src="../img/excla.png" alt="exclamation">
                <small>Error: Veuillez remplir ce champ</small>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Lieu';
                    $sql_name = 'lieu';
                    $type = 'text';
                    $error = "Vous n'avez saisie de lieu";
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="lieu">
                    <p>Entrez le nom du bâtiment dans lequel se trouve le matériel</p><br>
                    <code>Ex: bâtiment A</code>
                </div>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Salle';
                    $sql_name = 'salle';
                    $type = 'text';
                    $error = "Vous n'avez pas saisie de salle";
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="salle">
                    <p>Entrez le nom de la salle dans lequel se trouve le matériel</p><br>
                    <code>Ex: A 11 codage</code>
                </div>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Position dans la salle';
                    $sql_name = 'pos';
                    $type = 'text';
                    $error = 'Veuillez remplir ce champ';
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="pos">
                    <p>Veillez fournir des présision sur la position du matériel</p><br>
                    <code>Ex: PC-42 au fond à droite</code>
                </div>
            </div>
            <div class="container-field">
                <p>Matériel :</p>
                <select class="container-field__field" name='materiel'>
                    <option value="UC">Unité Centrale</option>
                    <option value="IMP">Imprimante</option>
                    <option value="ECR">Ecran</option>
                    <option value="VID">Vidéo Projecteur</option>
                    <option value="TBI">Tableau Blanc Interactif</option>
                </select>
                <img class="container-field__img container-field__img--check" src="../img/check.png" alt="check">
                <img class="container-field__img container-field__img--excla" src="../img/excla.png" alt="exclamation">
                <small>test</small>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Marque';
                    $sql_name = 'marque';
                    $type = 'text';
                    $error = "Vous n'avez pas saisie la marque";
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="marque">
                    <p>Veillez renseigner la marque du matériel</p><br>
                    <code>Ex: Asus</code>
                </div>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Model';
                    $sql_name = 'model';
                    $type = 'text';
                    $error = "Veuillez saisir le model";
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="model">
                    <p>Veillez renseigner le modèle du matériel</p><br>
                    <code>Ex: Lattitude E6410</code>
                </div>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'N° de série';
                    $sql_name = 'nserie';
                    $type = 'text';
                    $error = "Vous n'avez saisie le n° de série";
                    $help = true;
                    include("include/champ.php");
                ?>
                <div class="help" id="nserie">
                    <img src="../img/voile.JPG" alt="voile"> <br>
                    <code>Ex: bâtiment A</code>
                </div>
            </div>
            <div class="container-field">
                <?php
                    $titre = 'Nom';
                    $sql_name = 'demandeur';
                    $type = 'text';
                    $error = 'Veulliez entrer votre nom';
                    $help = false;
                    include("include/champ.php");
                ?>
            </div>
            <div class="container-field">
                <br>
                <input class="container-field__field container-field__field--submit" type="submit" value="Valider">
            </div>

        </form>
    </body>
</html>
